import { jsx } from "react/jsx-runtime";
import { TokenTXAU as TokenTXAU$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTXAU = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "TXAU", "data-name": "TokenTXAU", ...props, children: /* @__PURE__ */ jsx(TokenTXAU$1, { variant }) });
  }
);
TokenTXAU.displayName = "TokenTXAU";
Object.assign(TokenTXAU, { isGdsIcon: true });
export {
  TokenTXAU
};
